import { r as DaoCoreConfig } from "./types.daocore-kp8IyikH.js";
//#region extensions/nvidia/onboard.d.ts
declare const NVIDIA_DEFAULT_MODEL_REF = "nvidia/nemotron-3-super-120b-a12b";
declare function applyNvidiaProviderConfig(cfg: DaoCoreConfig): DaoCoreConfig;
declare function applyNvidiaConfig(cfg: DaoCoreConfig): DaoCoreConfig;
//#endregion
export { applyNvidiaConfig as n, applyNvidiaProviderConfig as r, NVIDIA_DEFAULT_MODEL_REF as t };